Index: i18n/i18n.pro
===================================================================
--- i18n/i18n.pro	(revision 20066)
+++ i18n/i18n.pro	(working copy)
@@ -17,3 +17,4 @@
 INSTALLS += trans
 
 SOURCES += dummy.c
+QT += xml network  sql opengl qt3support 
Index: themes/themes.pro
===================================================================
--- themes/themes.pro	(revision 20066)
+++ themes/themes.pro	(working copy)
@@ -20,3 +20,4 @@
 
 # Input
 SOURCES += dummy.c
+QT += xml network  sql opengl qt3support 
Index: libs/libmythtv/dtvconfparserhelpers.h
===================================================================
--- libs/libmythtv/dtvconfparserhelpers.h	(revision 20066)
+++ libs/libmythtv/dtvconfparserhelpers.h	(working copy)
@@ -32,7 +32,7 @@
 #ifndef _DTVCONFPARSERHELPERS_H_
 #define _DTVCONFPARSERHELPERS_H_
 
-#include <qstring.h>
+#include <QString>
 
 // The following are a set of helper classes to allow easy translation
 // between the different string representations of various tuning params.
Index: libs/libmythtv/linuxavcinfo.h
===================================================================
--- libs/libmythtv/linuxavcinfo.h	(revision 20066)
+++ libs/libmythtv/linuxavcinfo.h	(working copy)
@@ -11,7 +11,7 @@
 #include <libavc1394/rom1394.h>
 
 // Qt headers
-#include <qmap.h>
+#include <QMap>
 
 // MythTV headers
 #include "avcinfo.h"
Index: libs/libmythtv/customedit.cpp
===================================================================
--- libs/libmythtv/customedit.cpp	(revision 20066)
+++ libs/libmythtv/customedit.cpp	(working copy)
@@ -1,12 +1,14 @@
-#include <qlayout.h>
-#include <qpushbutton.h>
-#include <qlabel.h>
-#include <qcursor.h>
-#include <qdatetime.h>
-#include <qapplication.h>
-#include <qimage.h>
-#include <qpainter.h>
-#include <qsqldatabase.h>
+#include <QLayout>
+#include <QPushButton>
+#include <QLabel>
+#include <QCursor>
+#include <QDateTime>
+#include <QApplication>
+#include <QImage>
+#include <QPainter>
+#include <QSqlDatabase>
+#include <Q3HBoxLayout>
+#include <Q3VBoxLayout>
 
 #include <unistd.h>
 
@@ -47,12 +49,12 @@
     exSuffix = QString(" (%1)").arg(tr("stored example"));
     addString = tr("Add");
 
-    QVBoxLayout *vbox = new QVBoxLayout();
+    Q3VBoxLayout *vbox = new Q3VBoxLayout();
     vbox->setMargin((int)(20 * wmult));
     setLayout(vbox);
 
     // Edit selection
-    QHBoxLayout *edit_hbox = new QHBoxLayout();
+    Q3HBoxLayout *edit_hbox = new Q3HBoxLayout();
     edit_hbox->setMargin((int)(10 * wmult));
 
     QString message = tr("Edit Rule") + ": ";
@@ -100,7 +102,7 @@
     vbox->addWidget(edit_widget);
 
     // Title edit box
-    QHBoxLayout *title_hbox = new QHBoxLayout();
+    Q3HBoxLayout *title_hbox = new Q3HBoxLayout();
     title_hbox->setMargin((int)(10 * wmult));
 
     message = tr("Rule Name") + ": ";
@@ -371,7 +373,7 @@
     vbox->addWidget(m_addButton);
 
     // Subtitle edit box
-    QHBoxLayout *subtitle_hbox = new QHBoxLayout();
+    Q3HBoxLayout *subtitle_hbox = new Q3HBoxLayout();
     subtitle_hbox->setMargin((int)(10 * wmult));
 
     message = tr("Additional Tables") + ": ";
@@ -391,7 +393,7 @@
     vbox->addWidget(subtitle_widget);
 
     // Bottom row buttons
-    QHBoxLayout *buttons_hbox = new QHBoxLayout();
+    Q3HBoxLayout *buttons_hbox = new Q3HBoxLayout();
 
     //  Test Button
     buttons_hbox->setMargin((int)(10 * wmult));
Index: libs/libmythtv/channelscan/inputselectorsetting.cpp
===================================================================
--- libs/libmythtv/channelscan/inputselectorsetting.cpp	(revision 20066)
+++ libs/libmythtv/channelscan/inputselectorsetting.cpp	(working copy)
@@ -33,7 +33,7 @@
 InputSelector::InputSelector(
     uint _default_cardid, const QString &_default_inputname) :
     ComboBoxSetting(this), sourceid(0), default_cardid(_default_cardid),
-    default_inputname(Q3DeepCopy<QString>(_default_inputname))
+    default_inputname(_default_inputname)
 {
     setLabel(tr("Input"));
 }
Index: libs/libmythtv/channelscan/scanmonitor.h
===================================================================
--- libs/libmythtv/channelscan/scanmonitor.h	(revision 20066)
+++ libs/libmythtv/channelscan/scanmonitor.h	(working copy)
@@ -39,7 +39,6 @@
 
 class ChannelScanner;
 class SignalMonitorValue;
-class QString;
 
 class ScanMonitor :
     public QObject,
Index: libs/libmythtv/channelscan/scaninfo.h
===================================================================
--- libs/libmythtv/channelscan/scaninfo.h	(revision 20066)
+++ libs/libmythtv/channelscan/scaninfo.h	(working copy)
@@ -10,8 +10,8 @@
 using namespace std;
 
 // Qt headers
-#include <qstring.h>
-#include <qdatetime.h>
+#include <QString>
+#include <QDateTime>
 
 // MythTV headers
 #include "dtvmultiplex.h"
Index: libs/libmythtv/channelscan/channelscanner_cli.h
===================================================================
--- libs/libmythtv/channelscan/channelscanner_cli.h	(revision 20066)
+++ libs/libmythtv/channelscan/channelscanner_cli.h	(working copy)
@@ -34,7 +34,7 @@
 #include <pthread.h>
 
 // Qt headers
-#include <qstring.h>
+#include <QString>
 
 // MythTV headers
 #include "settings.h"
Index: libs/libmythtv/channelscan/channelscan_sm.h
===================================================================
--- libs/libmythtv/channelscan/channelscan_sm.h	(revision 20066)
+++ libs/libmythtv/channelscan/channelscan_sm.h	(working copy)
@@ -31,12 +31,12 @@
 #define SISCAN_H
 
 // Qt includes
-#include <qobject.h>
-#include <qstring.h>
-#include <qmap.h>
-#include <qmutex.h>
+#include <QObject>
+#include <QString>
+#include <QMap>
+#include <QMutex>
 #include <QList>
-#include <qdatetime.h>
+#include <QDateTime>
 
 // MythTV includes
 #include "frequencytables.h"
Index: libs/libmythtv/channelscan/channelimporter.cpp
===================================================================
--- libs/libmythtv/channelscan/channelimporter.cpp	(revision 20066)
+++ libs/libmythtv/channelscan/channelimporter.cpp	(working copy)
@@ -6,9 +6,6 @@
  *
  */
 
-// Qt headers
-#include <Q3DeepCopy>
-
 // MythTV headers
 #include "mythdialogs.h"
 #include "mythdbcon.h"
@@ -24,7 +21,7 @@
 {
     if (str.isEmpty())
         return "";
-    return Q3DeepCopy<QString>(str);
+    return str;
 }
 
 void ChannelImporter::Process(const ScanDTVTransportList &_transports)
Index: libs/libmythtv/channelscan/scanmonitor.cpp
===================================================================
--- libs/libmythtv/channelscan/scanmonitor.cpp	(revision 20066)
+++ libs/libmythtv/channelscan/scanmonitor.cpp	(working copy)
@@ -33,8 +33,7 @@
 #include "channelscanner.h"
 
 // Qt headers
-#include <qapplication.h>
-#include <Q3DeepCopy>
+#include <QApplication>
 
 /// Percentage to set to after the transports have been scanned
 #define TRANSPORT_PCT 6
@@ -51,7 +50,7 @@
 void post_event(QObject *dest, ScannerEvent::TYPE type, const QString &val)
 {
     ScannerEvent *e = new ScannerEvent(type);
-    e->strValue(Q3DeepCopy<QString>(val));
+    e->strValue(val);
     QApplication::postEvent(dest, e);
 }
 
Index: libs/libmythtv/channelscan/scaninfo.cpp
===================================================================
--- libs/libmythtv/channelscan/scaninfo.cpp	(revision 20066)
+++ libs/libmythtv/channelscan/scaninfo.cpp	(working copy)
@@ -2,7 +2,7 @@
 #include <stdint.h>
 
 // Qt headers
-#include <qstring.h>
+#include <QString>
 
 // MythTV headers
 #include "scaninfo.h"
Index: libs/libmythtv/channelscan/panedvbutilsimport.h
===================================================================
--- libs/libmythtv/channelscan/panedvbutilsimport.h	(revision 20066)
+++ libs/libmythtv/channelscan/panedvbutilsimport.h	(working copy)
@@ -31,8 +31,8 @@
 #define _PANE_DVB_UTILS_IMPORT_H_
 
 // Qt headers
-#include <qstring.h>
-#include <qobject.h>
+#include <QString>
+#include <QObject>
 
 // MythTV headers
 #include "channelscanmiscsettings.h"
Index: libs/libmythtv/channelscan/scanprogresspopup.h
===================================================================
--- libs/libmythtv/channelscan/scanprogresspopup.h	(revision 20066)
+++ libs/libmythtv/channelscan/scanprogresspopup.h	(working copy)
@@ -31,7 +31,7 @@
 #define _SCAN_PROGRESS_POPUP_H_
 
 // Qt headesr
-#include <qwaitcondition.h>
+#include <QWaitCondition>
 
 // MythTV headers
 #include "settings.h"
Index: libs/libmythtv/channelscan/frequencytablesetting.cpp
===================================================================
--- libs/libmythtv/channelscan/frequencytablesetting.cpp	(revision 20066)
+++ libs/libmythtv/channelscan/frequencytablesetting.cpp	(working copy)
@@ -30,7 +30,7 @@
 #include "frequencytablesetting.h"
 
 // Qt headers
-#include <qlocale.h>
+#include <QLocale>
 
 ScanFrequencyTable::ScanFrequencyTable() : ComboBoxSetting(this)
 {
Index: libs/libmythtv/channelscan/channelscan_sm.cpp
===================================================================
--- libs/libmythtv/channelscan/channelscan_sm.cpp	(revision 20066)
+++ libs/libmythtv/channelscan/channelscan_sm.cpp	(working copy)
@@ -32,7 +32,7 @@
 #include <unistd.h>
 
 // Qt includes
-#include <qmutex.h>
+#include <QMutex>
 
 // MythTV includes - General
 #include "channelscan_sm.h"
@@ -124,7 +124,7 @@
       sourceID(_sourceID),
       signalTimeout(signal_timeout),
       channelTimeout(channel_timeout),
-      inputname(Q3DeepCopy<QString>(_inputname)),
+      inputname(_inputname),
       // State
       scanning(false),
       threadExit(false),
@@ -1542,8 +1542,8 @@
             found = true;
             if (!channels[i].name.isEmpty())
             {
-                service_name = Q3DeepCopy<QString>(channels[i].name);
-                callsign     = Q3DeepCopy<QString>(channels[i].name);
+                service_name = channels[i].name;
+                callsign     = channels[i].name;
             }
         }
     }
Index: libs/libmythtv/channelscan/channelscanner_gui.h
===================================================================
--- libs/libmythtv/channelscan/channelscanner_gui.h	(revision 20066)
+++ libs/libmythtv/channelscan/channelscanner_gui.h	(working copy)
@@ -34,7 +34,7 @@
 #include <pthread.h>
 
 // Qt headers
-#include <qstring.h>
+#include <QString>
 
 // MythTV headers
 #include "settings.h"
Index: libs/libmythtv/dtvconfparser.cpp
===================================================================
--- libs/libmythtv/dtvconfparser.cpp	(revision 20066)
+++ libs/libmythtv/dtvconfparser.cpp	(working copy)
@@ -31,7 +31,7 @@
 
 // Qt headers
 #include <QTextStream>
-#include <qfile.h>
+#include <QFile>
 
 // MythTV headers
 #include "mythcontext.h"
Index: libs/libmythtv/sr_items.cpp
===================================================================
--- libs/libmythtv/sr_items.cpp	(revision 20066)
+++ libs/libmythtv/sr_items.cpp	(working copy)
@@ -1,10 +1,11 @@
 #include "scheduledrecording.h"
 #include "sr_items.h"
-#include <qlayout.h>
+
+#include <QLayout>
+
 #include "mythdialogs.h"
 
 
-
 SRSchedOptionsGroup::SRSchedOptionsGroup(ScheduledRecording *_rec, ManagedList* _parentList, 
                                          ManagedListGroup* _group, QObject* _parent)
                    : ManagedListGroup( QObject::tr("Scheduling Options"), _group, _parentList,
Index: libs/libmythtv/videoout_d3d.cpp
===================================================================
--- libs/libmythtv/videoout_d3d.cpp	(revision 20066)
+++ libs/libmythtv/videoout_d3d.cpp	(working copy)
@@ -17,7 +17,7 @@
 #include "mmsystem.h"
 #include "tv.h"
 
-#include <qapplication.h>
+#include <QApplication>
 
 #undef UNICODE
 
Index: libs/libmythtv/dbchannelinfo.cpp
===================================================================
--- libs/libmythtv/dbchannelinfo.cpp	(revision 20066)
+++ libs/libmythtv/dbchannelinfo.cpp	(working copy)
@@ -2,6 +2,7 @@
 
 // Qt headers
 #include <QFile>
+#include <QPixmap>
 
 // MythTV headers
 #include "dbchannelinfo.h"
Index: libs/libmythtv/tv.h
===================================================================
--- libs/libmythtv/tv.h	(revision 20066)
+++ libs/libmythtv/tv.h	(working copy)
@@ -1,7 +1,8 @@
 #ifndef TV_H
 #define TV_H
 
-#include <qstring.h>
+#include <QString>
+
 #include "videoouttypes.h"
 
 /** \brief ChannelChangeDirection is an enumeration of possible channel
Index: libs/libmythtv/dtvmultiplex.h
===================================================================
--- libs/libmythtv/dtvmultiplex.h	(revision 20066)
+++ libs/libmythtv/dtvmultiplex.h	(working copy)
@@ -11,7 +11,7 @@
 #include <stdint.h>
 
 // Qt headers
-#include <qstring.h>
+#include <QString>
 
 // MythTV headers
 #include "dtvconfparserhelpers.h"
Index: libs/libmythtv/eitcache.h
===================================================================
--- libs/libmythtv/eitcache.h	(revision 20066)
+++ libs/libmythtv/eitcache.h	(working copy)
@@ -9,9 +9,9 @@
 #include <stdint.h>
 
 // Qt headers
-#include <qmap.h>
-#include <qmutex.h>
-#include <qstring.h>
+#include <QMap>
+#include <QMutex>
+#include <QString>
 
 #include "mythexp.h"
 
Index: libs/libmythtv/cardutil.h
===================================================================
--- libs/libmythtv/cardutil.h	(revision 20066)
+++ libs/libmythtv/cardutil.h	(working copy)
@@ -10,8 +10,8 @@
 using namespace std;
 
 // Qt headers
-#include <qstringlist.h>
-#include <qmap.h>
+#include <QStringList>
+#include <QMap>
 
 class InputInfo;
 class CardInput;
Index: libs/libmythtv/playgroup.cpp
===================================================================
--- libs/libmythtv/playgroup.cpp	(revision 20066)
+++ libs/libmythtv/playgroup.cpp	(working copy)
@@ -1,9 +1,12 @@
 #include "mythcontext.h"
 #include "mythdb.h"
-#include <qsqldatabase.h>
-#include <qcursor.h>
-#include <qlayout.h>
+
+#include <QSqlDatabase>
+#include <QCursor>
+#include <QLayout>
+
 #include <iostream>
+
 #include "playgroup.h"
 #include "programinfo.h"
 
Index: libs/libmythtv/avcinfo.h
===================================================================
--- libs/libmythtv/avcinfo.h	(revision 20066)
+++ libs/libmythtv/avcinfo.h	(working copy)
@@ -8,7 +8,7 @@
 #include <stdint.h>
 
 // Qt headers
-#include <qstring.h>
+#include <QString>
 
 QString guid_to_string(uint64_t guid);
 uint64_t string_to_guid(const QString &guid);
Index: libs/libmythtv/dbchannelinfo.h
===================================================================
--- libs/libmythtv/dbchannelinfo.h	(revision 20066)
+++ libs/libmythtv/dbchannelinfo.h	(working copy)
@@ -9,8 +9,8 @@
 using namespace std;
 
 // Qt headers
-#include <qstring.h>
-#include <qpixmap.h>
+#include <QString>
+#include <QPixmap>
 
 // MythTV headers
 #include "mythexp.h" // for MPUBLIC
Index: libs/libmythtv/libmythtv.pro
===================================================================
--- libs/libmythtv/libmythtv.pro	(revision 20066)
+++ libs/libmythtv/libmythtv.pro	(working copy)
@@ -563,3 +563,4 @@
 include ( ../libs-targetfix.pro )
 
 LIBS += $$LATE_LIBS
+QT +=  opengl qt3support 
Index: libs/libmythtv/util-opengl.h
===================================================================
--- libs/libmythtv/util-opengl.h	(revision 20066)
+++ libs/libmythtv/util-opengl.h	(working copy)
@@ -25,7 +25,7 @@
 #endif
 
 // Qt headers
-#include <qstring.h>
+#include <QString>
 
 #ifndef GL_TEXTTURE0
 #define GL_TEXTURE0 0x84C0
Index: libs/libmythtv/dvbrecorder.h
===================================================================
--- libs/libmythtv/dvbrecorder.h	(revision 20066)
+++ libs/libmythtv/dvbrecorder.h	(working copy)
@@ -14,7 +14,7 @@
 using namespace std;
 
 // Qt includes
-#include <qmutex.h>
+#include <QMutex>
 
 #include "dtvrecorder.h"
 #include "tspacket.h"
Index: libs/libmythtv/guidegrid.h
===================================================================
--- libs/libmythtv/guidegrid.h	(revision 20066)
+++ libs/libmythtv/guidegrid.h	(working copy)
@@ -24,8 +24,6 @@
 class ProgramInfo;
 class TimeInfo;
 class TV;
-class QTimer;
-class QWidget;
 
 #define MAX_DISPLAY_CHANS 12
 #define MAX_DISPLAY_TIMES 30
Index: libs/libmythtv/dbox2epg.cpp
===================================================================
--- libs/libmythtv/dbox2epg.cpp	(revision 20066)
+++ libs/libmythtv/dbox2epg.cpp	(working copy)
@@ -4,7 +4,7 @@
  *  Distributed as part of MythTV under GPL v2 and later.
  */
 
-#include <qdatetime.h>
+#include <QDateTime>
 #include <QHttp>
 
 #include "dbox2channel.h"
Index: libs/libmythtv/osdtypes.h
===================================================================
--- libs/libmythtv/osdtypes.h	(revision 20066)
+++ libs/libmythtv/osdtypes.h	(working copy)
@@ -1,15 +1,16 @@
 #ifndef OSDDATATYPES_H_
 #define OSDDATATYPES_H_
 
-#include <qstring.h>
-#include <qrect.h>
-#include <qmap.h>
+#include <QString>
+#include <QRect>
+#include <QMap>
 #include <QKeyEvent>
+#include <QObject>
+#include <QRegExp>
+#include <QColor>
+
 #include <vector>
-#include <qobject.h>
-#include <qregexp.h>
 #include <cmath>
-#include <qcolor.h>
 #include "cc708window.h"
 #include "osdimagecache.h"
 
Index: libs/libmythtv/tv_play.h
===================================================================
--- libs/libmythtv/tv_play.h	(revision 20066)
+++ libs/libmythtv/tv_play.h	(working copy)
@@ -3,18 +3,21 @@
 #ifndef TVPLAY_H
 #define TVPLAY_H
 
-#include <qstring.h>
-#include <qmap.h>
-#include <qdatetime.h>
+#include <pthread.h>
+
+#include <QString>
+#include <QMap>
+#include <QDateTime>
 #include <QKeyEvent>
 #include <QEvent>
-#include <pthread.h>
-#include <qmutex.h>
-#include <qstringlist.h>
-#include <qregexp.h>
-#include <qwaitcondition.h>
+#include <QTimerEvent>
+#include <QMutex>
+#include <QStringList>
+#include <QRegExp>
+#include <QWaitCondition>
 #include <QThread>
 #include <QReadWriteLock>
+#include <QObject>
 
 #include "mythdeque.h"
 #include "tv.h"
@@ -26,12 +29,10 @@
 #include "volumebase.h"
 #include "inputinfo.h"
 
-#include <qobject.h>
+#include <vector>
 
-#include <vector>
 using namespace std;
 
-class QDateTime;
 class OSD;
 class RemoteEncoder;
 class NuppelVideoPlayer;
Index: libs/libmythtv/eit.h
===================================================================
--- libs/libmythtv/eit.h	(revision 20066)
+++ libs/libmythtv/eit.h	(working copy)
@@ -5,10 +5,10 @@
 #include <vector>
 using namespace std;
 
-#include <qmap.h>
-#include <qstring.h>
-#include <qdatetime.h>
-#include <qstringlist.h>
+#include <QMap>
+#include <QString>
+#include <QDateTime>
+#include <QStringList>
 
 class MSqlQuery;
 
Index: libs/libmythtv/scanwizardhelpers.h
===================================================================
--- libs/libmythtv/scanwizardhelpers.h	(revision 20066)
+++ libs/libmythtv/scanwizardhelpers.h	(working copy)
@@ -36,8 +36,8 @@
 #include "compat.h"
 #include "settings.h"
 
-#include <qwaitcondition.h>
-#include <qevent.h>
+#include <QWaitCondition>
+#include <QEvent>
 
 class TransFreqTableSelector;
 class TransLabelSetting;
Index: libs/libmythtv/dbox2recorder.h
===================================================================
--- libs/libmythtv/dbox2recorder.h	(revision 20066)
+++ libs/libmythtv/dbox2recorder.h	(working copy)
@@ -16,8 +16,6 @@
 #include "dtvrecorder.h"
 
 class DBox2Channel;
-class QHttp;
-class QString;
 
 typedef struct stream_meta_
 {
Index: libs/libmythtv/tvosdmenuentry.h
===================================================================
--- libs/libmythtv/tvosdmenuentry.h	(revision 20066)
+++ libs/libmythtv/tvosdmenuentry.h	(working copy)
@@ -1,10 +1,11 @@
 #ifndef TVOSDMENUENTRY_H_
 #define TVOSDMENUENTRY_H_
 
-#include <qstring.h>
-#include <qstringlist.h>
-#include <qmutex.h>
+#include <QString>
+#include <QStringList>
+#include <QMutex>
 #include <QVariant>
+
 #include "tv.h"
 #include "mythexp.h"
 
Index: libs/libmythtv/progfind.h
===================================================================
--- libs/libmythtv/progfind.h	(revision 20066)
+++ libs/libmythtv/progfind.h	(working copy)
@@ -24,7 +24,6 @@
 #include "programlist.h"
 
 class ProgramInfo;
-class QWidget;
 class TV;
 
 MPUBLIC void RunProgramFind(bool thread = false, bool ggActive = false);
Index: libs/libmythtv/diseqc.h
===================================================================
--- libs/libmythtv/diseqc.h	(revision 20066)
+++ libs/libmythtv/diseqc.h	(working copy)
@@ -15,9 +15,9 @@
 using namespace std;
 
 // Qt headers
-#include <qmap.h>
-#include <qstring.h>
-#include <qmutex.h>
+#include <QMap>
+#include <QString>
+#include <QMutex>
 
 class DTVMultiplex;
 
Index: libs/libmythtv/dbox2epg.h
===================================================================
--- libs/libmythtv/dbox2epg.h	(revision 20066)
+++ libs/libmythtv/dbox2epg.h	(working copy)
@@ -12,9 +12,6 @@
 #include <QThread>
 #include <QMap>
 
-class QString;
-class QDateTime;
-class QHttp;
 class DBox2Channel;
 class DBox2DBOptions;
 
Index: libs/libmythtv/hdhrrecorder.h
===================================================================
--- libs/libmythtv/hdhrrecorder.h	(revision 20066)
+++ libs/libmythtv/hdhrrecorder.h	(working copy)
@@ -7,7 +7,8 @@
 #ifndef HDHOMERUNRECORDER_H_
 #define HDHOMERUNRECORDER_H_
 
-#include <qmutex.h>
+#include <QMutex>
+
 #include "dtvrecorder.h"
 #include "streamlisteners.h"
 #include "eitscanner.h"
Index: libs/libmythtv/dbcheck.cpp
===================================================================
--- libs/libmythtv/dbcheck.cpp	(revision 20066)
+++ libs/libmythtv/dbcheck.cpp	(working copy)
@@ -1,4 +1,5 @@
 #include <iostream>
+#include <QSqlError>
 using namespace std;
 
 #include <QString>
Index: libs/libmythtv/signalmonitor.h
===================================================================
--- libs/libmythtv/signalmonitor.h	(revision 20066)
+++ libs/libmythtv/signalmonitor.h	(working copy)
@@ -13,8 +13,8 @@
 using namespace std;
 
 // Qt headers
-#include <qobject.h>
-#include <qmutex.h>
+#include <QObject>
+#include <QMutex>
 
 // MythTV headers
 #include "signalmonitorvalue.h"
Index: libs/libmythtv/dvbtypes.cpp
===================================================================
--- libs/libmythtv/dvbtypes.cpp	(revision 20066)
+++ libs/libmythtv/dvbtypes.cpp	(working copy)
@@ -1,7 +1,7 @@
 // -*- Mode: c++ -*-
 
 // Qt headers
-#include <qstring.h>
+#include <QString>
 
 // MythTV headers
 #include "dvbtypes.h"
Index: libs/libmythtv/progdetails.cpp
===================================================================
--- libs/libmythtv/progdetails.cpp	(revision 20066)
+++ libs/libmythtv/progdetails.cpp	(working copy)
@@ -1,4 +1,5 @@
 #include <iostream>
+#include <QTextStream>
 using namespace std;
 
 // qt
Index: libs/libmythtv/openglvideo.h
===================================================================
--- libs/libmythtv/openglvideo.h	(revision 20066)
+++ libs/libmythtv/openglvideo.h	(working copy)
@@ -5,8 +5,8 @@
 #include <map>
 using namespace std;
 
-#include <qrect.h>
-#include <qmap.h>
+#include <QRect>
+#include <QMap>
 
 #include "videooutbase.h"
 #include "videoouttypes.h"
Index: libs/libmythtv/cc708window.h
===================================================================
--- libs/libmythtv/cc708window.h	(revision 20066)
+++ libs/libmythtv/cc708window.h	(working copy)
@@ -7,9 +7,9 @@
 #include <vector>
 using namespace std;
 
-#include <qstring.h>
-#include <qmutex.h>
-#include <qcolor.h>
+#include <QString>
+#include <QMutex>
+#include <QColor>
 
 class CC708CharacterAttribute
 {
Index: libs/libmythtv/signalmonitorvalue.h
===================================================================
--- libs/libmythtv/signalmonitorvalue.h	(revision 20066)
+++ libs/libmythtv/signalmonitorvalue.h	(working copy)
@@ -3,7 +3,9 @@
 #define SIGNALMONITORVALUES_H
 
 #include <vector>
-#include <qstringlist.h>
+
+#include <QStringList>
+
 #include <mythcontext.h>
 
 class SignalMonitorValue
Index: libs/libmythtv/dtvrecorder.h
===================================================================
--- libs/libmythtv/dtvrecorder.h	(revision 20066)
+++ libs/libmythtv/dtvrecorder.h	(working copy)
@@ -12,14 +12,13 @@
 #include <vector>
 using namespace std;
 
-#include <qdatetime.h>
+#include <QDateTime>
 
 #include "recorderbase.h"
 #include "H264Parser.h"
 
 class MPEGStreamData;
 class TSPacket;
-class QTime;
 
 class DTVRecorder: public RecorderBase
 {
Index: libs/libmythtv/openglcontext.h
===================================================================
--- libs/libmythtv/openglcontext.h	(revision 20066)
+++ libs/libmythtv/openglcontext.h	(working copy)
@@ -6,8 +6,8 @@
 using namespace std;
 
 // Qt headers
-#include <qstring.h>
-#include <qrect.h>
+#include <QString>
+#include <QRect>
 
 // MythTV headers
 #ifdef USING_X11
Index: libs/libmythtv/videoout_directfb.cpp
===================================================================
--- libs/libmythtv/videoout_directfb.cpp	(revision 20066)
+++ libs/libmythtv/videoout_directfb.cpp	(working copy)
@@ -10,6 +10,7 @@
 
 // Linux headers
 #include <linux/fb.h>
+#include <QEvent>
 extern "C" {
 #include <directfb.h>
 #include <directfb_version.h>
@@ -142,7 +143,7 @@
         if (DFB_OK != fberr)
         {
             VERBOSE(VB_IMPORTANT, LOC_ERR + "Failed to lock buffer" + ENOFB);
-            fberr = bufferSurface->Release(bufferSurface);
+            fberr = bufferSurface->ReleaseSource(bufferSurface);
             if (DFB_OK != fberr)
             {
                 VERBOSE(VB_IMPORTANT, LOC_ERR +
@@ -199,7 +200,7 @@
                             "Failed to unlock buffer" + ENOFB);
                 }
 
-                fberr = surf->Release(surf);
+                fberr = surf->ReleaseSource(surf);
                 if (DFB_OK != fberr)
                 {
                     VERBOSE(VB_IMPORTANT, LOC_ERR +
@@ -245,7 +246,7 @@
                         "Failed to unlock buffer" + ENOFB);
             }
 
-            fberr = surf->Release(surf);
+            fberr = surf->ReleaseSource(surf);
             if (DFB_OK != fberr)
             {
                 VERBOSE(VB_IMPORTANT, LOC_ERR +
@@ -1143,12 +1144,12 @@
     {
         VERBOSE(VB_IMPORTANT, LOC_WARN + "Failed to test config" + ENOFB);
 
-        fberr = vodata->videoLayer->Release(vodata->videoLayer);
-        if (DFB_OK != fberr)
-        {
-            VERBOSE(VB_IMPORTANT, LOC_ERR +
-                    "Failed to release display layer" + ENOFB);
-        }
+        //fberr = vodata->videoLayer->Release(vodata->videoLayer);
+        //if (DFB_OK != fberr)
+        //{
+        //    VERBOSE(VB_IMPORTANT, LOC_ERR +
+        //            "Failed to release display layer" + ENOFB);
+        //}
 
         return DFENUM_OK;
     }
Index: libs/libmythtv/viewschdiff.h
===================================================================
--- libs/libmythtv/viewschdiff.h	(revision 20066)
+++ libs/libmythtv/viewschdiff.h	(working copy)
@@ -5,6 +5,8 @@
 
 // C++ headers
 #include <vector>
+#include <QKeyEvent>
+#include <QPaintEvent>
 using namespace std;
 
 // Qt headers
@@ -27,9 +29,6 @@
     ProgramInfo *after;
 };
 
-class QKeyEvent;
-class QPaintEvent;
-
 class MPUBLIC ViewScheduleDiff : public MythDialog
 {
     Q_OBJECT
Index: libs/libmythtv/channelbase.h
===================================================================
--- libs/libmythtv/channelbase.h	(revision 20066)
+++ libs/libmythtv/channelbase.h	(working copy)
@@ -4,8 +4,8 @@
 #define CHANNELBASE_H
 
 // Qt headers
-#include <qmap.h>
-#include <qstringlist.h>
+#include <QMap>
+#include <QStringList>
 
 // MythTV headers
 #include "channelutil.h"
Index: libs/libmythtv/dbox2channel.h
===================================================================
--- libs/libmythtv/dbox2channel.h	(revision 20066)
+++ libs/libmythtv/dbox2channel.h	(working copy)
@@ -13,8 +13,9 @@
 #endif
 
 // Qt headers
-#include <qstring.h>
-#include <qmutex.h>
+#include <QString>
+#include <QMutex>
+#include <QHttp>
 
 // MythTV headers
 #include "channelbase.h"
@@ -23,7 +24,6 @@
 class DBox2Recorder;
 class DBox2Channel;
 class DBox2EPG;
-class Q3Http;
 
 class DBox2CRelay : public QObject
 {
@@ -83,8 +83,8 @@
     bool              m_recorderAlive;
     DBox2Recorder    *m_recorder;
 
-    Q3Http            *http;
-    Q3Http            *httpChanger;
+    QHttp            *http;
+    QHttp            *httpChanger;
     DBox2CRelay      *m_relay;
 
     int               m_dbox2channelcount;
Index: libs/libmythtv/siscan.cpp
===================================================================
--- libs/libmythtv/siscan.cpp	(revision 20066)
+++ libs/libmythtv/siscan.cpp	(working copy)
@@ -6,7 +6,7 @@
 #include <unistd.h>
 
 // Qt includes
-#include <qmutex.h>
+#include <QMutex>
 
 // MythTV includes - General
 #include "siscan.h"
Index: libs/libmythtv/ivtvdecoder.h
===================================================================
--- libs/libmythtv/ivtvdecoder.h	(revision 20066)
+++ libs/libmythtv/ivtvdecoder.h	(working copy)
@@ -1,8 +1,8 @@
 #ifndef IVTVDECODER_H_
 #define IVTVDECODER_H_
 
-#include <qstring.h>
-#include <qmap.h>
+#include <QString>
+#include <QMap>
 
 #include "programinfo.h"
 #include "format.h"
Index: libs/libmythtv/NuppelVideoRecorder.h
===================================================================
--- libs/libmythtv/NuppelVideoRecorder.h	(revision 20066)
+++ libs/libmythtv/NuppelVideoRecorder.h	(working copy)
@@ -26,8 +26,8 @@
 using namespace std;
 
 // Qt headers
-#include <qstring.h>
-#include <qmap.h>
+#include <QString>
+#include <QMap>
 
 // MythTV headers
 #include "recorderbase.h"
Index: libs/libmythtv/dtvconfparser.h
===================================================================
--- libs/libmythtv/dtvconfparser.h	(revision 20066)
+++ libs/libmythtv/dtvconfparser.h	(working copy)
@@ -41,13 +41,11 @@
 using namespace std;
 
 // Qt headers
-#include <qstring.h>
+#include <QString>
 
 // MythTV headers
 #include "dtvchannel.h"
 
-class QStringList;
-
 class DTVChannelInfo
 {
   public:
Index: libs/libmythtv/teletextdecoder.h
===================================================================
--- libs/libmythtv/teletextdecoder.h	(revision 20066)
+++ libs/libmythtv/teletextdecoder.h	(working copy)
@@ -3,9 +3,9 @@
 
 #include <stdint.h>
 
-#include <qwaitcondition.h>
-#include <qobject.h>
-#include <qmutex.h>
+#include <QWaitCondition>
+#include <QObject>
+#include <QMutex>
 
 class OSDType;
 
Index: libs/libmythtv/osdsurface.h
===================================================================
--- libs/libmythtv/osdsurface.h	(revision 20066)
+++ libs/libmythtv/osdsurface.h	(working copy)
@@ -1,8 +1,9 @@
 #ifndef OSDSURFACE_H_
 #define OSDSURFACE_H_
 
-#include <qregion.h>
-#include <qmutex.h>
+#include <QRegion>
+#include <QMutex>
+
 #include "blend.h"
 
 #define MAX_NEG_CROP 1024
Index: libs/libmythtv/eitcache.cpp
===================================================================
--- libs/libmythtv/eitcache.cpp	(revision 20066)
+++ libs/libmythtv/eitcache.cpp	(working copy)
@@ -6,7 +6,7 @@
  */
 
 
-#include <qdatetime.h>
+#include <QDateTime>
 
 #include "eitcache.h"
 #include "mythcontext.h"
Index: libs/libmythtv/videoout_ivtv.h
===================================================================
--- libs/libmythtv/videoout_ivtv.h	(revision 20066)
+++ libs/libmythtv/videoout_ivtv.h	(working copy)
@@ -1,8 +1,8 @@
 #ifndef VIDEOOUT_IVTV_H_
 #define VIDEOOUT_IVTV_H_
 
-#include <qstring.h>
-#include <qmutex.h>
+#include <QString>
+#include <QMutex>
 
 #include "videooutbase.h"
 
Index: libs/libmythtv/util-xv.h
===================================================================
--- libs/libmythtv/util-xv.h	(revision 20066)
+++ libs/libmythtv/util-xv.h	(working copy)
@@ -3,7 +3,7 @@
 #ifndef _UTIL_XV_H_
 #define _UTIL_XV_H_
 
-#include <qmap.h>
+#include <QMap>
 
 #include "videobuffers.h"
 #include "exitcodes.h"
